petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMkl_CPardisoSetCntl

Set Mkl_Pardiso parameters

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMkl_CPardisoSetCntl(Mat F,PetscInt icntl,PetscInt ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor()
| icntl | - index of Mkl_Pardiso parameter
| ival | - value of Mkl_Pardiso parameter

### Options Database

-mat_mkl_cpardiso_<icntl> <ival> -

### Notes

This routine cannot be used if you are solving the linear system with TS, SNES, or KSP, only if you directly call MatGetFactor() so use the options database approach when working with TS, SNES, or KSP.

### References

Mkl_Pardiso Users' Guide -

### See Also

MatGetFactor()

### Level

Intermediate

### Location

src/mat/impls/aij/mpi/mkl_cpardiso/mkl_cpardiso.c

### Implementations

MatMkl_CPardisoSetCntl_MKL_CPARDISO in src/mat/impls/aij/mpi/mkl_cpardiso/mkl_cpardiso.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages